it.csi.mddtools.guigen

## Interface TargetPlatform

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface TargetPlatform
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Target Platform'. specifica della target platform per cui deve essere generato il pacchetto, più altre caratteristiche tecniche.

  The following features are supported:

  - `Code`
  - `Enable Rich UI Behavior`
  - `Enable Fat Client`
  - `Portal Expositions`
  - `Wayf Profile`
  - `Security Profile`
  See Also:
    `GuigenPackage.getTargetPlatform()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TargetPlatformCodes` | `getCode()` Returns the value of the 'Code' attribute.
    `org.eclipse.emf.common.util.EList<PortalExposition>` | `getPortalExpositions()` Returns the value of the 'Portal Expositions' containment reference list.
    `SecurityProfile` | `getSecurityProfile()` Returns the value of the 'Security Profile' reference
    `WAYFProfile` | `getWayfProfile()` Returns the value of the 'Wayf Profile' reference
    `boolean` | `isEnableFatClient()` Returns the value of the 'Enable Fat Client' attribute.
    `boolean` | `isEnableRichUIBehavior()` Returns the value of the 'Enable Rich UI Behavior' attribute.
    `void` | `setCode(TargetPlatformCodes value)` Sets the value of the '`Code`' attribute
    `void` | `setEnableFatClient(boolean value)` Sets the value of the '`Enable Fat Client`' attribute
    `void` | `setEnableRichUIBehavior(boolean value)` Sets the value of the '`Enable Rich UI Behavior`' attribute
    `void` | `setSecurityProfile(SecurityProfile value)` Sets the value of the '`Security Profile`' reference
    `void` | `setWayfProfile(WAYFProfile value)` Sets the value of the '`Wayf Profile`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCode

          TargetPlatformCodes getCode()

      Returns the value of the 'Code' attribute. The literals are from the enumeration `TargetPlatformCodes`.

      If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

      codice della piattaforma target
      Returns:
        the value of the 'Code' attribute.
      See Also:
        `TargetPlatformCodes`, `setCode(TargetPlatformCodes)`, `GuigenPackage.getTargetPlatform_Code()`

    - #### setCode

          void setCode(TargetPlatformCodes value)

      Sets the value of the '`Code`' attribute.
      Parameters:
        `value` - the new value of the 'Code' attribute.
      See Also:
        `TargetPlatformCodes`, `getCode()`

    - #### isEnableRichUIBehavior

          boolean isEnableRichUIBehavior()

      Returns the value of the 'Enable Rich UI Behavior' attribute. The default value is `"false"`.

      If the meaning of the 'Enable Rich UI Behavior' attribute isn't clear, there really should be more of a description here...

      Se impostato a true sono abilitati i comportamenti "ricchi" di User Interaction.
      Returns:
        the value of the 'Enable Rich UI Behavior' attribute.
      See Also:
        `setEnableRichUIBehavior(boolean)`, `GuigenPackage.getTargetPlatform_EnableRichUIBehavior()`

    - #### setEnableRichUIBehavior

          void setEnableRichUIBehavior(boolean value)

      Sets the value of the '`Enable Rich UI Behavior`' attribute.
      Parameters:
        `value` - the new value of the 'Enable Rich UI Behavior' attribute.
      See Also:
        `isEnableRichUIBehavior()`

    - #### isEnableFatClient

          boolean isEnableFatClient()

      Returns the value of the 'Enable Fat Client' attribute. The default value is `"false"`. Se impostato a true sono abilitati i comportamenti "ricchi" di User Interaction.
      Returns:
        the value of the 'Enable Fat Client' attribute.
      See Also:
        `setEnableFatClient(boolean)`, `GuigenPackage.getTargetPlatform_EnableFatClient()`

    - #### setEnableFatClient

          void setEnableFatClient(boolean value)

      Sets the value of the '`Enable Fat Client`' attribute.
      Parameters:
        `value` - the new value of the 'Enable Fat Client' attribute.
      See Also:
        `isEnableFatClient()`

    - #### getPortalExpositions

          org.eclipse.emf.common.util.EList<PortalExposition> getPortalExpositions()

      Returns the value of the 'Portal Expositions' containment reference list. The list contents are of type `PortalExposition`. Elenco dei portali di esposizione dell'applicativo, nell'ambito di una esposizione multi-portale
      Returns:
        the value of the 'Portal Expositions' containment reference list.
      See Also:
        `GuigenPackage.getTargetPlatform_PortalExpositions()`

    - #### getWayfProfile

          WAYFProfile getWayfProfile()

      Returns the value of the 'Wayf Profile' reference.

      If the meaning of the 'Wayf Profile' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Wayf Profile' reference.
      See Also:
        `setWayfProfile(WAYFProfile)`, `GuigenPackage.getTargetPlatform_WayfProfile()`

    - #### setWayfProfile

          void setWayfProfile(WAYFProfile value)

      Sets the value of the '`Wayf Profile`' reference.
      Parameters:
        `value` - the new value of the 'Wayf Profile' reference.
      See Also:
        `getWayfProfile()`

    - #### getSecurityProfile

          SecurityProfile getSecurityProfile()

      Returns the value of the 'Security Profile' reference.

      If the meaning of the 'Security Profile' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Security Profile' reference.
      See Also:
        `setSecurityProfile(SecurityProfile)`, `GuigenPackage.getTargetPlatform_SecurityProfile()`

    - #### setSecurityProfile

          void setSecurityProfile(SecurityProfile value)

      Sets the value of the '`Security Profile`' reference.
      Parameters:
        `value` - the new value of the 'Security Profile' reference.
      See Also:
        `getSecurityProfile()`